Bug 986617 - SELinux is preventing /usr/bin/python2.7 from 'write' accesses on the directory /usr/lib/python2.7/site-packages/wicd.
SELinux is preventing /usr/bin/python2.7 from 'write' accesses on the directo...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e0e9f0e0580c50f39d599af42fb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-20 21:56 EDT by prestontunnellwilson
Modified: 2015-02-17 11:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:16:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description prestontunnellwilson 2013-07-20 21:56:25 EDT
Description of problem:
SELinux is preventing /usr/bin/python2.7 from 'write' accesses on the directory /usr/lib/python2.7/site-packages/wicd.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that python2.7 should be allowed write access on the wicd directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep python /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:NetworkManager_t:s0
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/python2.7/site-packages/wicd [ dir ]
Source                        python
Source Path                   /usr/bin/python2.7
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           python-2.7.5-3.fc19.x86_64
Target RPM Packages           wicd-common-1.7.2.4-6.fc19.noarch
Policy RPM                    selinux-policy-3.12.1-65.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-302.fc19.x86_64 #1 SMP Sat
                              Jul 6 13:41:07 UTC 2013 x86_64 x86_64
Alert Count                   6
First Seen                    2013-07-20 20:41:14 CDT
Last Seen                     2013-07-20 20:53:04 CDT
Local ID                      3c9e90f4-b79b-40cd-8fbd-07923e0f02ef

Raw Audit Messages
type=AVC msg=audit(1374371584.332:457): avc:  denied  { write } for  pid=3111 comm="python" name="wicd" dev="dm-1" ino=921660 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=dir


type=SYSCALL msg=audit(1374371584.332:457): arch=x86_64 syscall=unlink success=no exit=EACCES a0=19552f0 a1=2d838 a2=81a4 a3=32f7dc15d0 items=0 ppid=3099 pid=3111 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=python exe=/usr/bin/python2.7 subj=system_u:system_r:NetworkManager_t:s0 key=(null)

Hash: python,NetworkManager_t,lib_t,dir,write

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-302.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-07-21 07:31:10 EDT
Is there python files in this directory?
Comment 2 prestontunnellwilson 2013-07-22 18:43:28 EDT
wicd uses a function in python2.7. I modified this function as detailed in post #7 in https://bbs.archlinux.org/viewtopic.php?id=140928
I must have done something incorrectly, because I continued to get "write" errors.
Comment 3 Fedora End Of Life 2015-01-09 14:01:34 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 11:16:48 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.